using System.Collections.Generic;
using TLang.Lexer;

namespace TLang.Parser
{
    public class MethodCallNode : SymbolNode
    {
        public Node Symbol {get;set;}
        public List<Node> Arguments {get;set;}=new List<Node>();

        public MethodCallNode(Node symbol, string name)
        {
            Symbol = symbol;
            Name = name;
        }

        
    }
}