using System.Collections.Generic;

namespace TLang.VM
{
    public class TArray : TObject
    {
        public override string Type => "array";
        public List<TObject> Items {get;set;}=new List<TObject>();
        public override bool True => Items.Count > 0;

        public void Add(TObject value)
        {
            Items.Add(value);
        }
        public void Remove(TObject value)
        {
            Items.Remove(value);
        }
    }
}